Bug 659747 - Advanced Networking can write "None" as a value
Summary: Advanced Networking can write "None" as a value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-03 15:33 UTC by Bryan Kearney
Modified: 2011-05-19 13:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-12-03 15:33:44 UTC
Run the Gui. Open up the the Advanced Networking Config button.Select the first check box, and fill in nothing. The config file will have this:

proxy_hostname = None
proxy_port = None
proxy_user = None
proxy_passwd = None


which will cause the next time you register to get:

2010-12-03 10:25:25,519 [ERROR] handle_exception() @managercli.py:45 - [Errno -8] Servname not supported for ai_socktype
Traceback (most recent call last):
  File "./rhsm/subscription-manager", line 75, in <module>
    sys.exit(abs(main() or 0))
  File "./rhsm/subscription-manager", line 66, in main
    return managercli.CLI().main()
  File "/home/bkearney/code/subscription-manager/src/managercli.py", line 690, in main
    cmd.main()
  File "/home/bkearney/code/subscription-manager/src/managercli.py", line 129, in main
    self._do_command()
  File "/home/bkearney/code/subscription-manager/src/managercli.py", line 309, in _do_command
    facts=self.facts.get_facts())
  File "/home/bkearney/code/subscription-manager/src/connection.py", line 295, in registerConsumer
    return self.conn.request_post('/consumers/', params)
  File "/home/bkearney/code/subscription-manager/src/connection.py", line 179, in request_post
    return self._request("POST", method, params)
  File "/home/bkearney/code/subscription-manager/src/connection.py", line 148, in _request
    headers=self.headers)
  File "/usr/lib64/python2.7/httplib.py", line 946, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.7/httplib.py", line 987, in _send_request
    self.endheaders(body)
  File "/home/bkearney/code/subscription-manager/src/connection.py", line 63, in endheaders
    httpslib.HTTPSConnection.endheaders(self, body)
  File "/usr/lib64/python2.7/httplib.py", line 940, in endheaders
    self._send_output(message_body)
  File "/usr/lib64/python2.7/httplib.py", line 803, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.7/httplib.py", line 755, in send
    self.connect()
  File "/usr/lib64/python2.7/site-packages/M2Crypto/httpslib.py", line 169, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.7/httplib.py", line 736, in connect
    self.timeout, self.source_address)
  File "/usr/lib64/python2.7/socket.py", line 551, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
gaierror: [Errno -8] Servname not supported for ai_socktype

Comment 2 Adrian Likins 2010-12-03 18:01:32 UTC
should be fixed in c942a5467c802451e6d84afba73592c63e680330

If config file has None it in, you may need to remove them manually.
It shouldn't allow  None's to be written now though.

Comment 4 John Sefler 2010-12-08 22:06:35 UTC
[root@jsefler-onprem02 tmp]# rpm -qa | grep subscription-manager
subscription-manager-0.93.2-1.git.91.7f89664.fc14.x86_64
subscription-manager-gnome-0.93.2-1.git.91.7f89664.fc14.x86_64



[root@jsefler-onprem02 tmp]# sed -i "s/^hostname = .*/hostname = jsefler-f12-candlepin.usersys.redhat.com/g" /etc/rhsm/rhsm.conf[root@jsefler-onprem02 tmp]# sed -i "s/^port = .*/port=8443/g" /etc/rhsm/rhsm.conf
[root@jsefler-onprem02 tmp]# cat /etc/rhsm/rhsm.conf
# Red Hat Subscription Manager Configuration File:

# Unified Entitlement Platform Configuration
[server]
# Server hostname:
hostname = jsefler-f12-candlepin.usersys.redhat.com

# Server prefix:
prefix = /candlepin

# Server port:
port=8443

# Set to 1 to disable certificate validation:
insecure = 0

# Set the depth of certs which should be checked
# when validating a certificate
ssl_verify_depth = 3

# Server CA certificate location:
ca_cert_dir = /etc/rhsm/ca/

# an http proxy server to use
proxy_hostname =

# port for http proxy server
proxy_port = 

[rhsm]
# Content base URL:
baseurl= https://mockamai.devlab.phx1.redhat.com

# Default CA cert to use when generating yum repo configs:
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

# Flag to show unsupported entitlement pools in GUI:
showIncompatiblePools = 0

# Where the certificates should be stored
productCertDir = /etc/pki/product
entitlementCertDir = /etc/pki/entitlement
consumerCertDir = /etc/pki/consumer

[rhsmcertd]
# Frequency of certificate refresh (in minutes):
certFrequency = 240





[root@jsefler-onprem02 tmp]# subscription-manager-gui &
[1] 3884
[root@jsefler-onprem02 tmp]# Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(subscription-manager-gui:3884): libglade-WARNING **: Unexpected element <property> inside <widget>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:3884): libglade-WARNING **: unknown attribute `swapped' for <signal>.


MANUALLY IN THE GUI CLICK "Proxy Configuration" CLICK THE CHECKBOXES AND Close (WITHOUT ENTERING ANY FIELD VALUES)

[root@jsefler-onprem02 tmp]# cat /etc/rhsm/rhsm.conf
[DEFAULT]
proxy_hostname = None
proxy_user = None
hostname = localhost
ssl_verify_depth = 3
ca_cert_dir = /etc/rhsm/ca/
proxy_password = None
proxy_port = None
prefix = /candlepin
repo_ca_cert = /etc/rhsm/ca/redhat-uep.pem
port = 8443

[rhsmcertd]
certfrequency = 240

[rhsm]
showincompatiblepools = 0
baseurl = https://mockamai.devlab.phx1.redhat.com
productcertdir = /etc/pki/product
entitlementcertdir = /etc/pki/entitlement
consumercertdir = /etc/pki/consumer
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

[server]
proxy_hostname = 
proxy_user = 
insecure = 0
hostname = jsefler-f12-candlepin.usersys.redhat.com
ssl_verify_depth = 3
ca_cert_dir = /etc/rhsm/ca/
proxy_password = 
proxy_port = 
prefix = /candlepin
port = 8443


^^^ Notice the new [DEFAULT] section, but the proxy* configs in the [server] section remain blank.  THAT IS GOOD!


[root@jsefler-onprem02 tmp]# subscription-manager register --username=testuser1 --password=password
0fb56367-3ef1-4421-bd14-bc0fb6988986 testuser1
[root@jsefler-onprem02 tmp]# subscription-manager unregister
System has been un-registered.
[root@jsefler-onprem02 tmp]# 

AND THE GUI REGISTRATION STATUS UPDATED AS I SUCCESSFULLY REGISTERED AND UNREGISTERED FROM THE COMMAND LINE.

Moving to VERIFIED...

Comment 5 errata-xmlrpc 2011-05-19 13:37:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.